Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class CCLButtonBorderTableCellRenderer

    java.lang.Object
      |
      +--ccl.swing.CCLButtonBorderTableCellRenderer

All Implemented Interfaces:
  javax.swing.table.TableCellRenderer

public class CCLButtonBorderTableCellRenderer
extends java.lang.Object
implements javax.swing.table.TableCellRenderer

Table cell renderer used for ccl button border in a table header.

Constructor Summary
`CCLButtonBorderTableCellRenderer()` Default constructor.
`CCLButtonBorderTableCellRenderer(java.awt.Font font_)` Constructor which allows to set the font used for the header.

Method Summary
`java.awt.Component` | `getTableCellRendererComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, boolean hasFocus, int row, int column)` Implements TableCellRenderer interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCLButtonBorderTableCellRenderer

    public CCLButtonBorderTableCellRenderer()

  Default constructor.

### CCLButtonBorderTableCellRenderer

    public CCLButtonBorderTableCellRenderer(java.awt.Font font_)

  Constructor which allows to set the font used for the header.

Method Detail

### getTableCellRendererComponent

    public java.awt.Component getTableCellRendererComponent(javax.swing.JTable table,
                                                            java.lang.Object value,
                                                            boolean isSelected,
                                                            boolean hasFocus,
                                                            int row,
                                                            int column)

  Implements TableCellRenderer interface.

  Specified by:
    `getTableCellRendererComponent` in interface `javax.swing.table.TableCellRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD